/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.requestanalysis.exception;

/**
 * タイプチェック例外クラス
 * 
 */
public class TypeCheckException extends Exception {

    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = -5166863931542489473L;

    /**
     * コンストラクタ
     */
    public TypeCheckException() {
        super();
    }

    /**
     * コンストラクタ
     * @param message エラーメッセージ
     * @param cause 例外
     */
    public TypeCheckException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * コンストラクタ
     * @param message エラーメッセージ
     */
    public TypeCheckException(String message) {
        super(message);
    }

    /**
     * コンストラクタ
     * @param cause 例外
     */
    public TypeCheckException(Throwable cause) {
        super(cause);
    }

}
